Debian DLA-1439-1 : resiprocate security update

High Nessus Plugin ID 111311

Synopsis

The remote Debian host is missing a security update.

Description

CVE-2018-12584 A flaw in function ConnectionBase::preparseNewBytes of resip/stack/ConnectionBase.cxx has been detected, that allows remote attackers to cause a denial of service (buffer overflow) or possibly execute arbitrary code when TLS communication is enabled.

CVE-2017-11521 A flaw in function SdpContents::Session::Medium::parse of resip/stack/SdpContents.cxx has been detected, that allows remote attackers to cause a denial of service (memory consumption) by triggering many media connections.

For Debian 8 'Jessie', these problems have been fixed in version 1:1.9.7-5+deb8u1.

We recommend that you upgrade your resiprocate packages.

NOTE: Tenable Network Security has extracted the preceding description block directly from the DLA security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Upgrade the affected packages.

See Also

https://lists.debian.org/debian-lts-announce/2018/07/msg00031.html

https://packages.debian.org/source/jessie/resiprocate

Plugin Details

Severity: High

ID: 111311

File Name: debian_DLA-1439.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/07/25

Modified: 2018/09/18

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:librecon-1.9, p-cpe:/a:debian:debian_linux:librecon-1.9-dev, p-cpe:/a:debian:debian_linux:libresiprocate-1.9, p-cpe:/a:debian:debian_linux:libresiprocate-1.9-dev, p-cpe:/a:debian:debian_linux:libresiprocate-turn-client-1.9, p-cpe:/a:debian:debian_linux:libresiprocate-turn-client-1.9-dev, p-cpe:/a:debian:debian_linux:repro, p-cpe:/a:debian:debian_linux:resiprocate-turn-server, p-cpe:/a:debian:debian_linux:sipdialer, cpe:/o:debian:debian_linux:8.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2018/07/24

Reference Information

CVE: CVE-2017-11521, CVE-2018-12584